﻿/* Homepage Screen */
#photo-result-container {
    width: 50%;
    display: grid;
    grid-template-columns: 180px 1fr;
    grid-column-gap: 20px;
    grid-template-areas:
        "header header"
        "photo message"
}

    #photo-result-container h1 {
        grid-area: header;
    }

    #photo-result-container .result-box {
        grid-area: message;
    }

    #photo-result-container .image-container {
        grid-area: photo;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        #photo-result-container .image-container img {
            height: 240px;
            width: 180px;
            border: 1px solid black;
            border-radius: 5px;
            object-fit: cover;
            object-position: center;
        }


/* Photo Upload Screen */
.button-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
}

.btn-upload {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    border: 2px dotted var(--main-blue-color);
    padding: 1rem 2rem;
    border-radius: 5px;
    background-color: #fff;
    color: var(--main-blue-color);
    cursor: pointer;
    transition: background-color 0.3s ease;
    text-align: center;
}

    .btn-upload:hover {
        background-color: #f1f1f1;
    }

.btn-webcam {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    border: 2px solid var(--main-blue-color);
    padding: 1rem 2rem;
    border-radius: 5px;
    background-color: #fff;
    color: var(--main-blue-color);
    cursor: pointer;
    transition: background-color 0.3s ease;
    text-align: center;
}

    .btn-webcam:hover {
        background-color: #f1f1f1;
    }

    .btn-webcam:disabled {
        background-color: #808080;
        cursor: not-allowed;
    }

/* Upload Confirmation / Error Screen */
.photo-message-container {
    display: grid;
    align-items: center;
    grid-template-areas:
        "image message";
    grid-template-columns: 180px 1fr;
    grid-column-gap: 20px;
    margin: 2rem 0;
}

    .photo-message-container .message-box {
        grid-area: message;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .photo-message-container .color-box {
        grid-area: message;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
    }

    .photo-message-container .image-container {
        grid-area: image;
        display: flex;
        justify-content: center;
        align-items: center;
    }

        .photo-message-container .image-container img {
            height: 240px;
            width: 180px;
            border: 1px solid black;
            border-radius: 5px;
            object-fit: cover;
            object-position: center;
        }

/* Photo Edit Screen */
.photo-slider-container {
    justify-content: flex-start;
    align-items: flex-start;
}

.text-cta {
    font-weight: bold;
    text-decoration: underline;
}

.color-choice {
    aspect-ratio: 1;
    width: 25px !important;
    border: 2px solid black;
    border-radius: 50%;
    box-sizing: border-box;
    cursor: pointer;
    position: relative;
}

    .color-choice.selected::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border: 2px solid transparent;
        border-radius: 50%;
        box-sizing: border-box;
        background-color: transparent;
        pointer-events: none;
        outline: 2px solid black;
        outline-offset: -4px;
    }

@media (max-width: 768px) {
    /* Homepage */
    .programme-status {
        display: block; /* Ensures text falls to the next line */
        word-break: break-word; /* Allows breaking long text if necessary */
    }

    #photo-result-container {
        width: 100%;
        grid-template-columns: 1fr;
        grid-row-gap: 20px;
        grid-template-areas:
            "header"
            "photo"
            "message"
    }

        #photo-result-container h1 {
            text-align: center;
        }

        #photo-result-container .result-box {
            justify-content: center;
            padding: 0 1rem;
        }

    /* Upload Photo Screen */
    .button-container {
        grid-template-columns: auto;
    }

    /* Upload Confirmation / Error Screen */
    .photo-message-container {
        grid-row-gap: 1rem;
        grid-template-areas:
            "message"
            "image";
        grid-template-columns: 1fr;
    }

        .photo-message-container .message-box {
            justify-content: center;
        }

        .photo-message-container .color-box {
            justify-content: center;
            align-items: center;
        }

    .photo-slider-container {
        justify-content: center;
        align-items: center;
        gap: 1.5rem !important;
        margin-top: 2rem !important;
    }
}
